feat: remove empty newlines in keys from jq query

This commit is contained in:
Tim Häring 2023-10-10 19:23:23 +02:00
parent daf42cb35b
commit 6e126fe6ce
No known key found for this signature in database
GPG Key ID: 51BA87AD19288CB9
1 changed files with 1 additions and 1 deletions

View File

@ -115,7 +115,7 @@ function cleanup {
trap "cleanup" 0 2 3 15
function keys {
(@nixInstantiate@ --json --eval --strict -E "(let rules = import $RULES; in rules.\"$FILE\".publicKeys)" | @jqBin@ -r .[]) || exit 1
(@nixInstantiate@ --json --eval --strict -E "(let rules = import $RULES; in rules.\"$FILE\".publicKeys)" | @jqBin@ -r 'map(rtrimstr("\n"))[]') || exit 1
}
function decrypt {